# std::_Tuple_impl< _Idx > Struct Template Reference

List of all members.

## Protected Member Functions

- void _M_swap_impl (_Tuple_impl &&)

## Detailed Description

### template<std::size_t _Idx>
struct std::_Tuple_impl< _Idx >

Zero-element tuple implementation. This is the basis case for the inheritance recursion.

Definition at line 125 of file tuple.

The documentation for this struct was generated from the following file:

- tuple